%bcond_without Xaw3d
%bcond_with neXtaw

%define _menudir %{_datadir}/applications
%define _iconsdir %{_datadir}/pixmaps

Summary:	paint program for X
Summary(de):	Malprogramm fr X
Summary(es):	Programa de diseo para X
Summary(fr):	Programme de dessin sous X
Summary(pl):	Program do rysowania pod X Window System
Summary(pt_BR):	Programa de desenho para X
Summary(tr):	X altnda boyama program
Name:           xpaint
Version:        2.7.9
Release:        4%{?dist}
License:        MIT
Group:          Applications/Multimedia
BuildRequires:  xorg-x11-proto-devel libXpm-devel libjpeg-devel libpng-devel libXp-devel
BuildRequires:  libtiff-devel zlib-devel bison flex imake libXaw-devel 
BuildRequires:  libXext-devel libXdmcp-devel libSM-devel
%{?with_Xaw3d:BuildRequires: Xaw3d-devel}
%{?with_neXtaw:BuildRequires: neXtaw-devel}
Source0:        http://prdownloads.sourceforge.net/sf-xpaint/%{name}-%{version}.tar.bz2
URL:            https://sourceforge.net/projects/sf-xpaint
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%package devel
Summary:        Development files for %{name}
Group:          Applications/Multimedia
Requires:       %{name} = %{version}-%{release}

%description
XPaint is an X Window System color image bitmap editing program. It does 
not try to compete with more advanced tools such as 'gimp' but aims at 
being very easy to use. XPaint however supports most standard paint program
operations. It also supports more advanced features, such as image processing
algorithms and scripting.  XPaint allows the edition of multiple images
simultaneously and supports a wide variety of image formats, including:
GIF, JPG, PNG, PPM, TIFF, XBM, XPM, etc.

Install xpaint if you need an easy to use paint program for X.

Xpaint now uses the Xaw3d widget set which provides a nicer look. The
package includes several examples of C scripts: filters, image scripts
adding some new editing features including user defined filters. 

%description devel
This package contains development files for %{name}.

%prep
%setup -q 
sed -i -e's,lib/,%{_lib}/,g' configure
sed -i -e's,\[a:z\] \[A:Z\],\[a-z\] \[A-Z\],g' configure

%build
xmkmf
perl -p -i -e "s|CXXDEBUGFLAGS = .*|CXXDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
perl -p -i -e "s|CDEBUGFLAGS = .*|CDEBUGFLAGS = $RPM_OPT_FLAGS|" Makefile
make CDEBUGFLAGS="$RPM_OPT_FLAGS" \
     XPM_INCLUDE="-I%{_includedir}/X11" \
     XPM_LIB="-L%{_libdir} -lXpm" \
     %{?with_Xaw3d:xaw3dg} \
     %{?with_neXtaw:nextaw}

%install
rm -rf %{buildroot}

make \
        DESTDIR=%{buildroot} \
        BINDIR=%{_bindir} \
        LIBDIR=%{_libdir} \
        SHAREDIR=%{_datadir}/%{name} \
        CONFDIR=%{_datadir}/X11 \
        MANDIR=%{_mandir}/man1 install install.man

# fix the include path in the built in scripting filter examples
perl -pi -e "s|%{buildroot}||g" %{buildroot}%{_datadir}/%{name}/c_scripts/filters/*.c

# menu entry
mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=XPaint
GenericName=XPaint
Comment=Color image bitmap editing tool
Exec=%{_bindir}/%{name}
Icon=xpaint.png
Type=Application
Terminal=0
Categories=Application;Graphics;
EOF

# icons
mkdir -p %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_iconsdir}
tar jxf $RPM_BUILD_DIR/%{name}-%{version}/icons.tar.bz2 -C \
        %{buildroot}%{_iconsdir}

# remove needless symlink to /etc/X11/app-defaults
rm -rf %{buildroot}%{_libdir}/app-defaults

%clean
rm -rf %{buildroot}

%files devel
%defattr(-,root,root)
%{_datadir}/%{name}/c_scripts
%{_datadir}/%{name}/include

%files
%defattr(-,root,root)
%doc ChangeLog README INSTALL README.PNG TODO Doc
%{_bindir}/%{name}
%{_datadir}/%{name}/help
%{_datadir}/%{name}/messages
%{_datadir}/%{name}/XPaintIcon.xpm
%{_datadir}/X11/app-defaults
%{_mandir}/man1/%{name}.1x*
%{_menudir}/%{name}.desktop
%{_iconsdir}/*.png
%{_iconsdir}/*/*.png

%changelog
* Sat Jun 30 2007 Paulo Roma <roma@lcg.ufrj.br> 2.7.8.1-4
- Created devel package.
- Fixed configure.
- Conditionally building with Xaw3d or neXtaw.

* Mon Apr 02 2007 Paulo Roma <roma@lcg.ufrj.br> 2.7.8-4
- Rebuilt for x86_64.
- Moved rm -rf %%{buildroot} from "prep" to "build".
- Fixed rm -rf %%{buildroot}%{_libdir}/app-defaults
- Removed all .c and .h files.

* Sun Dec 31 2006 Paulo Roma <roma@lcg.ufrj.br> 2.7.8-3
- Included missing build requirements.

* Thu Sep 14 2006 Paulo Roma <roma@lcg.ufrj.br> 2.7.8-1
- Update to 2.7.8
- Changed spec file for Fedora.

* Mon Apr 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.7.6-1mdk
- 2.7.6

* Mon Mar 14 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.7.4-1mdk
- 2.7.4

* Mon Jan 31 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.7.3-1mdk
- 2.7.3

* Tue Oct 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.7.2-1mdk
- 2.7.2

* Wed Sep 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.7.1-1mdk
- 2.7.1

* Fri Aug 20 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.7.0-4mdk
- fix typo in menu entry

* Mon Dec 29 2003 Michael Scherer <misc@mandrake.org> 2.7.0-3mdk 
- fix BuildRequires ( remove lib )
- remove /usr/X11R6/lib/X11/app-defaults link to /etc

* Sun Sep 14 2003 Michael Scherer <scherer.michael@free.fr> 2.7.0-2mdk
- BuildRequires flex
 
* Mon Jun 16 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2.7.0-1mdk
- 2.7.0

* Mon Apr 28 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2.6.9-2mdk
- BuildRequires, distriblint
 
* Fri Apr  4 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2.6.9-1mdk
- 2.6.9, new URL, Source tag 
- some new features finally, add patch1 to fix make install

* Mon Dec 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.6.2-2mdk
- rebuild for new glibc/rpm, add patch1 for errno

* Sat Nov 16 2002 Stew Benedict <sbenedict@mandrakesoft.com> 2.6.2-1mdk
- new version, add installed but unpackaged file, icons->png

* Fri Oct 19 2001 Sebastien Dupont <sdupont@mandrakesoft.com> 2.6.1-2mdk
- License
- srcs permissions
- remove patchs: xpaint-2.4.7-config.patch & xpaint-2.4.7-glibc.patch.

* Sun May 27 2001  Daouda Lo <daouda@mandrakesoft.com> 2.6.1-1mdk
- release 2.6.1
- stop Nono complains.
- cleanups

* Tue Oct 03 2000 Daouda Lo <daouda@mandrakesoft.com> 2.6.0-2mdk
- icons should be transparent
- let spec helper do its jobs
- menu entry in the body of the spec
- more macroz..

* Sun Aug 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.6.0-1mdk
- new and shiny version.

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.4.9-16mdk
- automatically added BuildRequires

* Mon May 15 2000 David BAUDENS <baudens@mandrakesoft.com> 2.4-9-15mdk
- Fix build for i486
- Use %%{_tmppath} for BuildRoot

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 2.4.9-14mdk
- Corrected icons.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 2.4.9-13mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 2.4.9-12mdk
- Added menu entry.

* Mon Mar 27 2000 dam's <damien@mandrakesoft.com> 2.4.9-11mdk
- Release.

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected status of resource file

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- build root.

* Tue Jun 09 1998 Mike Wangsmo <wanger@redhat.com>
- changed the docs from being %config files.

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 16 1998 Erik Troan <ewt@redhat.com>
- built against libpng 1.0

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new release
- wmconfig

* Wed Oct 15 1997 Erik Troan <ewt@redhat.com>
- build against new libpng

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- "make install.man" places man page in wrong location
